<!DOCTYPE html>
<html lang="pl">
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <script async="async" src="assets/js/howtostart.bundle.js"></script>
        <link rel="stylesheet" href="assets/css/jquery-ui.min.css" />
        <link href="assets/css/main.css" rel="stylesheet" />
        <link rel="icon" href="assets/img/favicon.ico" />
        <title>Jak zacząć? | Społeczność open-source</title>
    </head>
    <body>
        <header>
            <div class="inner">
                <a id="site-name" href="index.html">
                    <img src="assets/img/logo.png" alt="" />
                    Społeczność open&#8209;source
                </a>
                <nav>
                    <ul>
                        <li><a href="index.html">Strona główna</a></li>
                        <li><a href="#" class="active">Jak zacząć?</a></li>
                        <li><a href="contact.html">Kontakt</a></li>
                    </ul>
                </nav>
            </div>
        </header>
        <main>
            <section>
                <h1>Jak zacząć?</h1>

                <h2>Dlaczego warto udzielać się w open source?</h2>

                <h3>Ulepszanie oprogramowania na którym polegasz</h3>
                <p>Wiele osób rozpoczęło swoją przygodę z open source w projekcie którego byli już użytkownikiem. Kiedy napotkasz problem w otwartym oprogramowaniu które używasz, możesz chcieć zajrzeć do kodu tego programu, by sprawdzić czy jesteś w stanie załatać go samodzielnie. Jeśli tak, to stworzenie łatki i wysłanie jej do autorów projektu za pomocą pull requesta jest najlepszym sposobem by wszyscy mogli skorzystać z kodu który napisałeś.</p>

                <h3>Doskonalenie umiejętności</h3>
                <p>Czy jest to programowanie, interfejs użytkownika, grafika, pisanie, organizacja, to jeśli szukasz praktyki, to na pewno znajdzie się zadanie dla Ciebie w jakimś projekcie otwartoźródłowym.</p>

                <h2>Szukanie projektu dla Ciebie</h2>
                <p>Gdy już dowiedziałeś się jak działa open-source, czas na znalezienie projektu w którym możesz się udzielić!</p>
                <p>Jeśli nigdy wcześniej tego nie robiłeś, nie przejmuj się, twój pierwszy pull request nie musi robić dużo, celem jest zaznajomienie się z procesem. Nie od razu Rzym zbudowano ;). Nawet zmiana tak trywialna jak poprawa literówki jest mile widziana. Jeśli czujesz się na siłach, możesz oczywiście spróbować z czymś lekko bardziej zaawansowanym, ale pamiętaj że jest to dopiero twój pierwszy pull request.</p>

                <h2>Lista wyzwań</h2>
                <p>Przygotowałem dla Ciebie małą listę wyzwań, które mogą Ci pomóc zdobyć motywację by udzielać się w open source. W żadnym wypadku nie musisz wykonywać wszystkich wyzwań, czy robić ich w podanej kolejności, pamiętaj że przede wszystkim pownieneś czerpać z tego przyjemność!</p>
                <div id="challenge-list">
                    <p>Możesz wracać do tej strony kiedy chcesz, stan listy zapisze się automatycznie.</p>
                    <ul>
                        <li>
                            <div class="form-group form-checkbox">
                                <input type="checkbox" id="challenge-list-0">
                                <label for="challenge-list-0">Popraw błąd gramatyczny, literówkę, etc.</label>
                            </div>
                        </li>
                        <li>
                            <div class="form-group form-checkbox">
                                <input type="checkbox" id="challenge-list-1">
                                <label for="challenge-list-1">Załataj bug.</label>
                            </div>
                        </li>
                        <li>
                            <div class="form-group form-checkbox">
                                <input type="checkbox" id="challenge-list-2">
                                <label for="challenge-list-2">Dodaj dokumentację.</label>
                            </div>
                        </li>
                        <li>
                            <div class="form-group form-checkbox">
                                <input type="checkbox" id="challenge-list-3">
                                <label for="challenge-list-3">Ulepsz istniejącą funkcjonalność.</label>
                            </div>
                        </li>
                        <li>
                            <div class="form-group form-checkbox">
                                <input type="checkbox" id="challenge-list-4">
                                <label for="challenge-list-4">Dodaj nową funkcję.</label>
                            </div>
                        </li>
                    </ul>
                </div>
            </section>
        </main>
        <footer>
            &copy; 2020 Jakub Kuczys (<a href="https://github.com/jack1142" title="Zobacz projekty którymi się obecnie zajmuję!">@jack1142</a> na GitHubie)
        </footer>
    </body>
</html>
